public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/rust-std/
Date: Wed, 14 Aug 2024 12:40:20 +0000 (UTC)	[thread overview]
Message-ID: <1723638902.12ee2ad2803f0d48af210ecc3cead908d8f48338.juippis@gentoo> (raw)

commit:     12ee2ad2803f0d48af210ecc3cead908d8f48338
Author:     Randy Barlow <randy <AT> electronsweatshop <DOT> com>
AuthorDate: Thu Jul 25 23:05:12 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Aug 14 12:35:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12ee2ad2

sys-devel/rust-std: Add 1.80.1

Signed-off-by: Randy Barlow <randy <AT> electronsweatshop.com>
Closes: https://github.com/gentoo/gentoo/pull/37727
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-devel/rust-std/Manifest               |   1 +
 sys-devel/rust-std/rust-std-1.80.1.ebuild | 154 ++++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+)

diff --git a/sys-devel/rust-std/Manifest b/sys-devel/rust-std/Manifest
index e682d166a3c0..074ef2af2450 100644
--- a/sys-devel/rust-std/Manifest
+++ b/sys-devel/rust-std/Manifest
@@ -8,3 +8,4 @@ DIST rustc-1.76.0-src.tar.xz 162267908 BLAKE2B 0cf726841a837d9906d82a6216e65edad
 DIST rustc-1.77.1-src.tar.xz 162796048 BLAKE2B 18a9fd095808ba78bf50ec94f7fd4087a1033ec79750aa593bacf64219c77ef90c030d41a7d8bc43f7ec8eb30b316c225024be4aeb517100ff6723487f8bb282 SHA512 e057ae638e4c3e54fdb367d48f4b85458121cee0d0ee1ed72f346940b8acad2f16cd9cc8abc16fcf4a17bf244b3300bb56a7e7be3bd0c23b034692c983b84fe8
 DIST rustc-1.78.0-src.tar.xz 159181212 BLAKE2B dedae58e413689de258f852c988a9a91d4cf14c9525f2619ca6155006ddc9b2262c8141ff995e4fc6ecceec383470e50d2fa0952d933db9b3957ce5c5b96f62e SHA512 d2fb9881e28849d871fda71b1b51652be3839b3283f0d32163f258c5c707a9fb7b589da8dc03bca2fefee1abdd2b44a5f17e85d8c6df7bea119d1e8d22371941
 DIST rustc-1.79.0-src.tar.xz 162359512 BLAKE2B 753c0e9c537644d1a12b4d38024c22952a19513791c3da6f955690c544e58964bacbdb579f94cd05910697fc31f77ed6553e5ad3b111bbdfebeea8d2a4fa19f5 SHA512 99d7f276292e5c270648473ff73e9888413a3325ef3a4d7a45f8ce77a42ac87996905f1d875888ce084b621f642017bc9e31a00da1439108dbe19b85d0eab085
+DIST rustc-1.80.1-src.tar.xz 199234944 BLAKE2B 39891362f2a4bc249f5d943e3ded48d2add9cd9c0ee3c085d7fbefbfbc784f1e029308d9486cd35a6c03b77243077dc1196c75980faeea0d4319cee057509b6a SHA512 3c746108a86eeb734c1a8c8f63ba1a45e2cb03a8cb553395a167d07dc3ce5d8d9ea365ddd95533b6952d915069b86cad7ad218d27861e0889f8e878136bd32ab

diff --git a/sys-devel/rust-std/rust-std-1.80.1.ebuild b/sys-devel/rust-std/rust-std-1.80.1.ebuild
new file mode 100644
index 000000000000..8e1c916b7dbe
--- /dev/null
+++ b/sys-devel/rust-std/rust-std-1.80.1.ebuild
@@ -0,0 +1,154 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit flag-o-matic multiprocessing python-any-r1 rust-toolchain toolchain-funcs
+
+DESCRIPTION="Rust standard library, standalone (for crossdev)"
+HOMEPAGE="https://www.rust-lang.org"
+SRC_URI="https://static.rust-lang.org/dist/rustc-${PV}-src.tar.xz"
+S="${WORKDIR}/${P/-std/c}-src"
+
+LICENSE="|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4"
+SLOT="stable/$(ver_cut 1-2)"
+# please do not keyword
+#KEYWORDS="" #nowarn
+IUSE="debug"
+
+BDEPEND="
+	${PYTHON_DEPS}
+	~dev-lang/rust-${PV}:=
+"
+
+DEPEND="||
+	(
+		>="${CATEGORY}"/gcc-4.7:*
+		>="${CATEGORY}"/clang-3.5:*
+	)
+"
+
+RDEPEND="${DEPEND}"
+
+# need full compiler to run tests
+RESTRICT="test"
+
+QA_FLAGS_IGNORED="usr/lib/rust/${PV}/rustlib/.*/lib/lib.*.so"
+
+#
+# The cross magic
+#
+export CTARGET=${CTARGET:-${CHOST}}
+if [[ ${CTARGET} == ${CHOST} ]] ; then
+	if [[ ${CATEGORY} == cross-* ]] ; then
+		export CTARGET=${CATEGORY#cross-}
+	fi
+fi
+
+is_cross() {
+	[[ ${CHOST} != ${CTARGET} ]]
+}
+
+toml_usex() {
+	usex "$1" true false
+}
+
+pkg_pretend() {
+	is_cross || die "${PN} should only be used for cross"
+}
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+}
+
+src_configure() {
+	# do the great cleanup
+	strip-flags
+	filter-flags '-mcpu=*' '-march=*' '-mtune=*' '-m32' '-m64'
+	strip-unsupported-flags
+
+	local rust_root x
+	rust_root="$(rustc --print sysroot)"
+	rtarget="$(rust_abi ${CTARGET})"
+	rtarget="${ERUST_STD_RTARGET:-${rtarget}}" # some targets need to be custom.
+	rbuild="$(rust_abi ${CBUILD})"
+	rhost="$(rust_abi ${CHOST})"
+
+	echo
+	for x in CATEGORY rust_root rbuild rhost rtarget RUSTFLAGS CFLAGS CXXFLAGS LDFLAGS; do
+		einfo "$(printf '%10s' ${x^^}:) ${!x}"
+	done
+
+	cat <<- EOF > "${S}"/config.toml
+		[build]
+		build = "${rbuild}"
+		host = ["${rhost}"]
+		target = ["${rtarget}"]
+		cargo = "${rust_root}/bin/cargo"
+		rustc = "${rust_root}/bin/rustc"
+		submodules = false
+		python = "${EPYTHON}"
+		locked-deps = true
+		vendor = true
+		extended = true
+		verbose = 2
+		cargo-native-static = false
+		[install]
+		prefix = "${EPREFIX}/usr/lib/${PN}/${PV}"
+		sysconfdir = "etc"
+		docdir = "share/doc/rust"
+		bindir = "bin"
+		libdir = "lib"
+		mandir = "share/man"
+		[rust]
+		# https://github.com/rust-lang/rust/issues/54872
+		codegen-units-std = 1
+		optimize = true
+		debug = $(toml_usex debug)
+		debug-assertions = $(toml_usex debug)
+		debuginfo-level-rustc = 0
+		backtrace = true
+		incremental = false
+		default-linker = "$(tc-getCC)"
+		rpath = false
+		dist-src = false
+		remap-debuginfo = true
+		jemalloc = false
+		[dist]
+		src-tarball = false
+		[target.${rtarget}]
+		ar = "$(tc-getAR ${CTARGET})"
+		cc = "$(tc-getCC ${CTARGET})"
+		cxx = "$(tc-getCXX ${CTARGET})"
+		linker = "$(tc-getCC ${CTARGET})"
+		ranlib = "$(tc-getRANLIB ${CTARGET})"
+		$(usev elibc_musl 'crt-static = false')
+	EOF
+
+	einfo "${PN^} configured with the following settings:"
+	cat "${S}"/config.toml || die
+}
+
+src_compile() {
+	env RUST_BACKTRACE=1 \
+		"${EPYTHON}" ./x.py build -vv --config="${S}"/config.toml -j$(makeopts_jobs) \
+		library/std --stage 0 || die
+}
+
+src_test() {
+	ewarn "${PN} can't run tests"
+}
+
+src_install() {
+	local rustlib="lib/rust/${PV}/lib/rustlib"
+	dodir "/usr/${rustlib}"
+	pushd "build/${rhost}/stage0-sysroot/lib/rustlib" > /dev/null || die
+	cp -pPRv "${rtarget}" "${ED}/usr/${rustlib}" || die
+	popd > /dev/null || die
+}


             reply	other threads:[~2024-08-14 12:40 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-14 12:40 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-14  6:57 [gentoo-commits] repo/gentoo:master commit in: sys-devel/rust-std/ Arthur Zamarin
2024-09-10 16:50 Arthur Zamarin
2024-09-02 19:20 Arthur Zamarin
2024-06-25  2:47 Sam James
2024-05-31 21:03 Sam James
2024-05-16 14:50 Arthur Zamarin
2024-04-04  1:07 Sam James
2024-03-09  2:56 WANG Xuerui
2024-02-10  4:49 Sam James
2024-02-10  4:49 Sam James
2024-02-10  4:49 Sam James
2023-12-08 11:36 Sam James
2023-12-08 11:36 Sam James
2023-10-07  8:46 WANG Xuerui
2023-10-07  8:46 WANG Xuerui
2023-08-28  6:54 WANG Xuerui
2023-08-04 12:30 WANG Xuerui
2023-04-05 23:31 Georgy Yakovlev
2023-03-24 21:28 Georgy Yakovlev
2023-03-24 21:28 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-01-29 17:07 Georgy Yakovlev
2022-01-20 22:26 Georgy Yakovlev
2022-01-13 21:37 Georgy Yakovlev
2022-01-13 21:37 Georgy Yakovlev
2021-11-21  1:13 Georgy Yakovlev
2021-09-13 15:27 Georgy Yakovlev
2021-08-05  5:37 Georgy Yakovlev
2021-06-19  7:47 Georgy Yakovlev
2021-05-10 23:02 Georgy Yakovlev
2021-04-27 12:18 Georgy Yakovlev
2021-04-27 12:18 Georgy Yakovlev
2021-02-12  1:27 Georgy Yakovlev
2021-02-03  1:07 Georgy Yakovlev
2020-11-30 17:11 Georgy Yakovlev
2020-10-11 17:14 Georgy Yakovlev
2020-10-11 16:39 Georgy Yakovlev
2020-10-11 15:34 Georgy Yakovlev
2020-10-11  5:24 Georgy Yakovlev
2020-09-25  7:38 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1723638902.12ee2ad2803f0d48af210ecc3cead908d8f48338.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox